@cls
@echo      ***************************************************************
@echo      *  ZMASM Single Source Batch File (allows source-level debug) *
@echo      *  ALM8 filename (assumes extension *.S)                      *
@echo      ***************************************************************
@echo.
@echo.1) Assembling Source File (*.S)
\zmasmdos\zmados -l -pZ86C90 -g -o -x -t %1.s
@if errorlevel 1 goto end
@echo.
@echo.2) Link Object File (*.O) to generate load module file *.LD
\zmasmdos\zlddos -o%1.LD %1.o
@echo.
@echo.3) Link *.O to generate *.MAP,  *.HEX  and *.SYM files...
\zmasmdos\zlddos -a -g -m%1.map -o%1.hex %1.o
@echo Add GLOBALS ON in source file header to get proper SYM file!
:end
